/* serrno.h */
/* Copyright INMOS Limited 1990,1991,1992 */
/* Version 1.19 */

#ifndef __SERRNO_H
#define __SERRNO_H

#include "errno.h"

#define EWOULDBLOCK     128     /* Operation would block */
#define EINPROGRESS     129     /* Operation now in progress */
#define EALREADY        130     /* Operation already in progress */
#define ENOTSOCK        131     /* Socket operation on non-socket */
#define EDESTADDRREQ    132     /* Destination address required */
#define EMSGSIZE        133     /* Message too long */
#define EPROTOTYPE      134     /* Protocol wrong type for socket */
#define ENOPROTOOPT     135     /* Protocol not available */
#define EPROTONOSUPPORT 136     /* Protocol not supported */
#define ESOCKTNOSUPPORT 137     /* Socket type not supported */
#define EOPNOTSUPP      138     /* Operation not supported on socket */
#define EPFNOSUPPORT    139     /* Protocol family not supported */
#define EAFNOSUPPORT    140     /* Addr family not supported by proto family */
#define EADDRINUSE      141     /* Address already in use */
#define EADDRNOTAVAIL   142     /* Can't assign requested address */
#define ENETDOWN        143     /* Network is down */
#define ENETUNREACH     144     /* Network is unreachable */
#define ENETRESET       145     /* Network dropped connection on reset */
#define ECONNABORTED    146     /* Software caused connection abort */
#define ECONNRESET      147     /* Connection reset by peer */
#define ENOBUFS         148     /* No buffer space available */
#define EISCONN         149     /* Socket is already connected */
#define ENOTCONN        150     /* Socket is not connected */
#define ESHUTDOWN       151     /* Can't send after socket shutdown */
#define ETIMEDOUT       152     /* Connection timed out */
#define ECONNREFUSED    153     /* Connection refused */
#define EHOSTDOWN       154     /* Host is down */
#define EHOSTUNREACH    155     /* No route to host */

#endif
