/* uio.h */
/* Copyright INMOS Limited 1990,1991,1992 */
/* Version 1.19 */

#ifndef __SYS_UIO_H
#define __SYS_UIO_H

/*
 * Copyright (c) 1980,1983,1988 Regents of the University of California.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms are permitted
 * provided that this notice is preserved and that due credit is given
 * to the University of California at Berkeley. The name of the University
 * may not be used to endorse or promote products derived from this
 * software without specific prior written permission. This software
 * is provided ``as is'' without express or implied warranty.
 */

struct iovec
{
    void           *iov_base;
    int             iov_len;
};

struct uio
{
    struct iovec   *uio_iov;
    int             uio_iovcnt;
    long            uio_offset;
    short           uio_segflg;
    short           uio_fmode;
    int             uio_resid;
};

enum uio_rw
{
    UIO_READ, UIO_WRITE
};

/*
 * Segment flag values (should be enum).
 *
 */
#define UIO_USERSPACE   0       /* from user data space */
#define UIO_SYSSPACE    1       /* from system space */
#define UIO_USERISPACE  2       /* from user I space */

#endif
