-- serrno.inc
-- Copyright INMOS Limited 1990,1991
-- Version 1.15

--
-- General error codes
--

VAL  soc.EDOM             IS  1:
VAL  soc.ERANGE           IS  2:
VAL  soc.ESIGNUM          IS  3:
VAL  soc.EIO              IS  4:
VAL  soc.EFILPOS          IS  5:
VAL  soc.ENXIO            IS  6:
VAL  soc.E2BIG            IS  7:
VAL  soc.ENOEXEC          IS  8:
VAL  soc.EBADF            IS  9:
VAL  soc.ECHILD           IS  10:
VAL  soc.EAGAIN           IS  11:
VAL  soc.ENOMEM           IS  12:
VAL  soc.EACCES           IS  13:
VAL  soc.EFAULT           IS  14:
VAL  soc.ENOTBLK          IS  15:
VAL  soc.EBUSY            IS  16:
VAL  soc.EEXIST           IS  17:
VAL  soc.EXDEV            IS  18:
VAL  soc.ENODEV           IS  19:
VAL  soc.ENOTDIR          IS  20:
VAL  soc.EISDIR           IS  21:
VAL  soc.EINVAL           IS  22:
VAL  soc.ENFILE           IS  23:
VAL  soc.EMFILE           IS  24:
VAL  soc.ENOTTY           IS  25:
VAL  soc.ETXTBSY          IS  26:
VAL  soc.EFBIG            IS  27:
VAL  soc.ENOSPC           IS  28:
VAL  soc.ESPIPE           IS  29:
VAL  soc.EROFS            IS  30:
VAL  soc.EMLINK           IS  31:
VAL  soc.EPIPE            IS  32:
VAL  soc.EPERM            IS  33:
VAL  soc.ENOENT           IS  34:
VAL  soc.ESRCH            IS  35:
VAL  soc.EINTR            IS  36:
VAL  soc.EDOS             IS  37:

--
-- Socket-specific error codes
--

VAL  soc.EWOULDBLOCK      IS  128:  -- Operation would block
VAL  soc.EINPROGRESS      IS  129:  -- Operation now in progress
VAL  soc.EALREADY         IS  130:  -- Operation already in progress
VAL  soc.ENOTSOCK         IS  131:  -- Socket operation on non-socket
VAL  soc.EDESTADDRREQ     IS  132:  -- Destination address required
VAL  soc.EMSGSIZE         IS  133:  -- Message too long
VAL  soc.EPROTOTYPE       IS  134:  -- Protocol wrong type for socket
VAL  soc.ENOPROTOOPT      IS  135:  -- Protocol not available
VAL  soc.EPROTONOSUPPORT  IS  136:  -- Protocol not supported
VAL  soc.ESOCKTNOSUPPORT  IS  137:  -- Socket type not supported
VAL  soc.EOPNOTSUPP       IS  138:  -- Operation not supported on socket
VAL  soc.EPFNOSUPPORT     IS  139:  -- Protocol family not supported
VAL  soc.EAFNOSUPPORT     IS  140:  -- Addr family not supported by proto family
VAL  soc.EADDRINUSE       IS  141:  -- Address already in use
VAL  soc.EADDRNOTAVAIL    IS  142:  -- Can't assign requested address
VAL  soc.ENETDOWN         IS  143:  -- Network is down
VAL  soc.ENETUNREACH      IS  144:  -- Network is unreachable
VAL  soc.ENETRESET        IS  145:  -- Network dropped connection on reset
VAL  soc.ECONNABORTED     IS  146:  -- Software caused connection abort
VAL  soc.ECONNRESET       IS  147:  -- Connection reset by peer
VAL  soc.ENOBUFS          IS  148:  -- No buffer space available
VAL  soc.EISCONN          IS  149:  -- Socket is already connected
VAL  soc.ENOTCONN         IS  150:  -- Socket is not connected
VAL  soc.ESHUTDOWN        IS  151:  -- Can't send after socket shutdown
VAL  soc.ETIMEDOUT        IS  152:  -- Connection timed out
VAL  soc.ECONNREFUSED     IS  153:  -- Connection refused
VAL  soc.EHOSTDOWN        IS  154:  -- Host is down
VAL  soc.EHOSTUNREACH     IS  155:  -- No route to host
