-- ssignal.inc
-- Copyright INMOS Limited 1990,1991
-- Version 1.15

--
-- Definitions related to signals.
--

--
-- Signals available.
--
VAL INT COMMS.SIGABRT  IS #0001:        -- abort
VAL INT COMMS.SIGFPE   IS #0002:        -- arithmetic exception
VAL INT COMMS.SIGILL   IS #0004:        -- illegal instruction
VAL INT COMMS.SIGINT   IS #0008:        -- attention request from user
VAL INT COMMS.SIGSEGV  IS #0010:        -- bad memory access
VAL INT COMMS.SIGTERM  IS #0020:        -- termination request
VAL INT COMMS.SIGIO    IS #0040:        -- input/output possible signal
VAL INT COMMS.SIGURG   IS #0080:        -- urgent condition on IO channel
VAL INT COMMS.SIGPIPE  IS #0100:        -- write on pipe with no one to read
VAL INT COMMS.SIGSYS   IS #0200:        -- bad argument to system call
VAL INT COMMS.SIGALRM  IS #0400:        -- alarm clock
VAL INT COMMS.SIGWINCH IS #0800:        -- window changed
VAL INT COMMS.SIGLOST  IS #1000:        -- resource lost
VAL INT COMMS.SIGUSR1  IS #2000:        -- user defined signal 1
VAL INT COMMS.SIGUSR2  IS #4000:        -- user defined signal 2
VAL INT COMMS.SIGUSR3  IS #8000:        -- user defined signal 3

--
-- Operations on signals.
--
VAL INT COMMS.SIG.IGNORE IS 1:
VAL INT COMMS.SIG.CATCH  IS 2:

--
-- Protocol used to convey signals from Socket Manager to Application.
--
PROTOCOL SOC.SIG IS INT:                -- bitmask of COMMS.SIGnals
